using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls.Schedules;
using Infragistics.Controls.Schedules.Primitives;
using Infragistics.Windows;

namespace xamSchedule_sample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            myView.TimeslotInterval = new TimeSpan(0, 30, 0);
        }

        void AppointmentPresenter_Loaded(object sender, RoutedEventArgs e)
        {
            var appointmentPresenter = (sender as AppointmentPresenter);
            var activitySubject = (appointmentPresenter.Activity as Appointment).Subject as string;

            if (activitySubject == "HR Consulting")
            {
                var mainGrid = Utilities.GetDescendantFromType(appointmentPresenter, typeof(Grid), false) as Grid;
                var innerGrid = Utilities.GetDescendantFromType(mainGrid, typeof(Grid), false) as Grid;

                var borderPath = Utilities.GetDescendantFromType(innerGrid, typeof(Path), false) as Path;
                borderPath.Fill = new SolidColorBrush(Colors.DarkOrange);
            }
        }
    }
}
